# lugins/osg/ColorMatrix.cpp File Reference

`#include <osg/ColorMatrix>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include "Matrix.h"`

Include dependency graph for lugins/osg/ColorMatrix.cpp:

## Functions

bool | ColorMatrix_readLocalData (Object &obj, Input &fr)
bool | ColorMatrix_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_ColorMatrixProxy (new osg::ColorMatrix,"ColorMatrix","Object StateAttribute ColorMatrix",&ColorMatrix_readLocalData,&ColorMatrix_writeLocalData)

## Function Documentation

bool ColorMatrix_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool ColorMatrix_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_ColorMatrixProxy(new osg::ColorMatrix,"ColorMatrix","Object StateAttribute ColorMatrix",&ColorMatrix_readLocalData,&ColorMatrix_writeLocalData)